org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface WorkspaceBridge.BreakpointHandler

Enclosing interface:
  WorkspaceBridge

    public static interface WorkspaceBridge.BreakpointHandler

Breakpoint-related aspect of `WorkspaceBridge` interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Collection<? extends IBreakpoint>` `breakpointsHit(java.util.Collection<? extends Breakpoint> breakpointsHit)` Returns Eclipse counterpart objects for breakpoints and resets their ignore count.
`java.util.Collection<? extends IBreakpoint>` `exceptionBreakpointHit(boolean isUncaught)` Returns Eclipse representation of exception breakpoints.
`Breakpoint` `getSdkBreakpoint(ChromiumLineBreakpoint uiBreakpoint)`
`void` `initBreakpointManagerListenerState(IBreakpointManager breakpointManager)`
`boolean` `supportsBreakpoint(IBreakpoint breakpoint)`

### Method Detail

#### supportsBreakpoint

    boolean supportsBreakpoint(IBreakpoint breakpoint)

#### getSdkBreakpoint

    Breakpoint getSdkBreakpoint(ChromiumLineBreakpoint uiBreakpoint)

Returns:
  SDK breakpoint that corresponds to UI breakpoint or null if none

#### breakpointsHit

    java.util.Collection<? extends IBreakpoint> breakpointsHit(java.util.Collection<? extends Breakpoint> breakpointsHit)

Returns Eclipse counterpart objects for breakpoints and resets their ignore count. Consider splitting the operation into 2 independent operations.

#### exceptionBreakpointHit

    java.util.Collection<? extends IBreakpoint> exceptionBreakpointHit(boolean isUncaught)

Returns Eclipse representation of exception breakpoints.

#### initBreakpointManagerListenerState

    void initBreakpointManagerListenerState(IBreakpointManager breakpointManager)